package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class InstructorTest {

    Instructor instructor1 = new Instructor(12345, "Kris");
    Student student1 = new Student(54321, "Kate");


    @Test
    public void testImplementation(){
       // ensure that instructor is an instance of teacher
        instructor1.teach(student1, 5.0);
        Assert.assertEquals(5.0, student1.getTotalStudyTime(), 0.01);

    }

    @Test
    public void testInheritance(){
        // ensure that instructor is an instance of person
        instructor1.setName("Bob");
        Assert.assertEquals("Bob", instructor1.getName());

    }

    @Test
    public void testTeach(){
       // ensure that when instructor invokes teach a students totalStudyTime is increased by numberOfHours
        student1.setTotalStudyTime(2.0);
        instructor1.teach(student1, 5.0);
        double expected = 7.0;
        double actual = student1.getTotalStudyTime();
        Assert.assertEquals(expected, actual, 0.01);
    }

    @Test
    public void testLecture(){
        // ensure when an instructor invokes lecture method an array of students individual studyTime variables increase

    }

}
